# prevents breaking long operations
gamerule maxCommandChainLength 99999999
gamerule maxCommandForkCount 99999999

# Treasure Particles
scoreboard objectives add mt.commonplot dummy
scoreboard objectives add mt.rareplot dummy
scoreboard objectives add mt.epicplot dummy
scoreboard objectives add mt.legendplot dummy
scoreboard objectives add mt.selector dummy
scoreboard objectives add mt.self_kill dummy
scoreboard objectives add mt.clean dummy

# Needed for shootfacing
execute in overworld positioned 0 0 0 run forceload add 0 0 0 0 

# Treasure System
scoreboard objectives add mt.break_barrel minecraft.mined:minecraft.barrel
scoreboard objectives add mt.break_stone minecraft.mined:minecraft.stone
scoreboard objectives add mt.break_diorite minecraft.mined:minecraft.diorite
scoreboard objectives add mt.break_andesite minecraft.mined:minecraft.andesite
scoreboard objectives add mt.break_granite minecraft.mined:minecraft.granite
scoreboard objectives add mt.break_iron_ore minecraft.mined:minecraft.iron_ore
scoreboard objectives add mt.break_diamond_ore minecraft.mined:minecraft.diamond_ore
scoreboard objectives add mt.break_coal_ore minecraft.mined:minecraft.coal_ore
scoreboard objectives add mt.break_redstone_ore minecraft.mined:minecraft.redstone_ore
scoreboard objectives add mt.break_emerald_ore minecraft.mined:minecraft.emerald_ore
scoreboard objectives add mt.break_lapis_ore minecraft.mined:minecraft.lapis_ore
scoreboard objectives add mt.break_gold_ore minecraft.mined:minecraft.gold_ore
scoreboard objectives add mt.break_deepslate minecraft.mined:minecraft.deepslate
scoreboard objectives add mt.break_copper_ore minecraft.mined:minecraft.copper_ore
scoreboard objectives add mt.break_amethyst minecraft.mined:minecraft.amethyst_block
scoreboard objectives add mt.break_calcite minecraft.mined:minecraft.calcite
scoreboard objectives add mt.break_d_coal_ore minecraft.mined:minecraft.deepslate_coal_ore
scoreboard objectives add mt.break_d_iron_ore minecraft.mined:minecraft.deepslate_iron_ore
scoreboard objectives add mt.break_d_gold_ore minecraft.mined:minecraft.deepslate_gold_ore
scoreboard objectives add mt.break_d_copper_ore minecraft.mined:minecraft.deepslate_copper_ore
scoreboard objectives add mt.break_d_redstone_ore minecraft.mined:minecraft.deepslate_redstone_ore
scoreboard objectives add mt.break_d_lapis_ore minecraft.mined:minecraft.deepslate_lapis_ore
scoreboard objectives add mt.break_d_emerald_ore minecraft.mined:minecraft.deepslate_emerald_ore
scoreboard objectives add mt.break_d_diamond_ore minecraft.mined:minecraft.deepslate_diamond_ore
scoreboard objectives add mt.break_tuff minecraft.mined:minecraft.tuff
scoreboard objectives add mt.break_dripstone minecraft.mined:minecraft.dripstone_block
scoreboard objectives add mt.break_sandstone minecraft.mined:minecraft.sandstone
scoreboard objectives add mt.break_terracotta minecraft.mined:minecraft.terracotta
scoreboard objectives add mt.break_brown_terracotta minecraft.mined:minecraft.brown_terracotta
scoreboard objectives add mt.break_light_gray_terracotta minecraft.mined:minecraft.light_gray_terracotta
scoreboard objectives add mt.break_orange_terracotta minecraft.mined:minecraft.orange_terracotta
scoreboard objectives add mt.break_red_terracotta minecraft.mined:minecraft.red_terracotta
scoreboard objectives add mt.break_white_terracotta minecraft.mined:minecraft.white_terracotta
scoreboard objectives add mt.break_yellow_terracotta minecraft.mined:minecraft.yellow_terracotta
scoreboard objectives add mt.break_blackstone minecraft.mined:minecraft.blackstone
scoreboard objectives add mt.break_netherrack minecraft.mined:minecraft.netherrack
scoreboard objectives add mt.break_magma_block minecraft.mined:minecraft.magma_block
scoreboard objectives add mt.break_basalt minecraft.mined:minecraft.basalt
scoreboard objectives add mt.break_smooth_basalt minecraft.mined:minecraft.smooth_basalt
scoreboard objectives add mt.break_nether_gold_ore minecraft.mined:minecraft.nether_gold_ore
scoreboard objectives add mt.break_nether_quartz_ore minecraft.mined:minecraft.nether_quartz_ore
scoreboard objectives add mt.break_end_stone minecraft.mined:minecraft.end_stone
scoreboard objectives add common_treasure dummy
scoreboard objectives add rare_treasure dummy
scoreboard objectives add epic_treasure dummy
scoreboard objectives add legendary_treasure dummy
scoreboard objectives add treasure_cast dummy
scoreboard objectives add mt.common_count dummy
scoreboard objectives add mt.rare_count dummy
scoreboard objectives add mt.epic_count dummy
scoreboard objectives add mt.legendary_count dummy
scoreboard objectives add treasure_obtain dummy
scoreboard objectives add mt_stats trigger
scoreboard objectives add mt.check_time dummy
scoreboard objectives add mt.20 dummy
scoreboard players set 20 mt.20 1200
scoreboard objectives add mt.mine_cd minecraft.custom:minecraft.play_time
scoreboard objectives add mt.var dummy
scoreboard objectives add mt.common_chance dummy
scoreboard objectives add mt.rare_chance dummy
scoreboard objectives add mt.epic_chance dummy
scoreboard objectives add mt.legendary_chance dummy

# Weapons
scoreboard objectives add mt.toxic_machette minecraft.custom:minecraft.play_time
scoreboard objectives add mt.drylands_piercer minecraft.custom:minecraft.play_time
scoreboard objectives add mt.rift_axe minecraft.custom:minecraft.play_time
scoreboard objectives add mt.barbaric_axe minecraft.custom:minecraft.play_time
scoreboard objectives add mt.ice_sword minecraft.custom:minecraft.play_time
scoreboard objectives add mt.sharpened_sword minecraft.custom:minecraft.play_time
scoreboard objectives add mt.wither_sword minecraft.custom:minecraft.play_time
scoreboard objectives add mt.warped_bow minecraft.custom:minecraft.play_time
scoreboard objectives add mt.hurricane_sword minecraft.custom:minecraft.play_time
scoreboard objectives add mt.oceanic_spear minecraft.custom:minecraft.play_time
scoreboard objectives add mt.piglin_jealousy minecraft.custom:minecraft.play_time
scoreboard objectives add mt.warden_killer minecraft.custom:minecraft.play_time
scoreboard objectives add mt.assassin_blade minecraft.custom:minecraft.play_time
scoreboard objectives add mt.charged_shard minecraft.custom:minecraft.play_time
scoreboard objectives add mt.laser_scope minecraft.custom:minecraft.play_time

scoreboard objectives add mt.bow_shot minecraft.used:minecraft.bow
scoreboard objectives add mt.ice_shoes_timer dummy
scoreboard objectives add mt.rift_timer dummy
scoreboard objectives add mt.sand_timer dummy
scoreboard objectives add mt.ice_timer dummy
scoreboard objectives add mt.veil_timer dummy
scoreboard objectives add mt.veil dummy
scoreboard objectives add mt.windy dummy
scoreboard objectives add mt.gust dummy
scoreboard objectives add mt.use_trident minecraft.used:minecraft.trident
scoreboard objectives add mt.trident dummy
scoreboard objectives add mt.hold_trident dummy
scoreboard objectives add mt.wet dummy
scoreboard objectives add mt.ray_line dummy
scoreboard objectives add mt.rumble dummy
scoreboard objectives add mt.death deathCount

# Runes
scoreboard objectives add mt.use_pearl minecraft.used:minecraft.ender_pearl
scoreboard objectives add mt.end_rune dummy
scoreboard objectives add mt.sponge_rune dummy
scoreboard objectives add mt.ice_rune dummy
scoreboard objectives add mt.assa_rune dummy
scoreboard objectives add mt.jungle_rune dummy
scoreboard objectives add mt.black_rune dummy
scoreboard objectives add mt.absorb_steal dummy
 
# Misc
scoreboard objectives add mt.play_time minecraft.custom:minecraft.play_time
scoreboard objectives add mt.drill_stone minecraft.mined:minecraft.stone
scoreboard objectives add mt.drill_diorite minecraft.mined:minecraft.diorite
scoreboard objectives add mt.drill_andesite minecraft.mined:minecraft.andesite
scoreboard objectives add mt.drill_granite minecraft.mined:minecraft.granite

# Mechanics
scoreboard objectives add mt.small dummy
scoreboard objectives add mt.small_hit minecraft.custom:minecraft.play_time
scoreboard objectives add mt.big dummy
scoreboard objectives add mt.reach dummy
scoreboard objectives add mt.step_height dummy
scoreboard objectives add mt.light dummy

# Lag Reduction
scoreboard objectives add mt.tick dummy
scoreboard objectives add mt.entity dummy

# Armor
scoreboard objectives add mt.nether_leggings minecraft.custom:minecraft.play_time
scoreboard objectives add mt.crimson_chestplate minecraft.custom:minecraft.play_time
scoreboard objectives add mt.walking minecraft.custom:minecraft.walk_one_cm
scoreboard objectives add mt.sprinting minecraft.custom:minecraft.sprint_one_cm
scoreboard objectives add mt.jump minecraft.custom:minecraft.jump
scoreboard objectives add mt.food food
scoreboard objectives add mt.mine_dripstone minecraft.mined:minecraft.dripstone_block
scoreboard objectives add mt.use_pearl minecraft.used:minecraft.ender_pearl
scoreboard objectives add mt.health health
scoreboard objectives add mt.warped dummy

# entity_hit
scoreboard objectives add mt.id dummy
scoreboard objectives add mt.bit0 dummy
scoreboard objectives add mt.bit1 dummy
scoreboard objectives add mt.bit2 dummy
scoreboard objectives add mt.bit3 dummy
scoreboard objectives add mt.bit4 dummy
scoreboard objectives add mt.bit5 dummy
scoreboard objectives add mt.bit6 dummy
scoreboard objectives add mt.bit7 dummy
scoreboard objectives add mt.bit8 dummy
scoreboard objectives add mt.bit9 dummy
scoreboard objectives add mt.bit10 dummy
scoreboard objectives add mt.bit11 dummy
scoreboard objectives add mt.bit12 dummy
scoreboard objectives add mt.bit13 dummy
scoreboard objectives add mt.bit14 dummy
scoreboard objectives add mt.bit15 dummy
scoreboard objectives add mt.const dummy
scoreboard players set 2 mt.const 2
scoreboard players set -1 mt.const -1
scoreboard objectives add mt.revoke dummy

# Technical
team add mt.hit
scoreboard objectives add mt.luck dummy
scoreboard objectives add mt.total dummy
scoreboard objectives add mt.progression dummy

# Settings
scoreboard objectives add mt.loaded dummy
scoreboard objectives add mt.load dummy
scoreboard objectives add mt.constant dummy
scoreboard players set #16 mt.constant 16
scoreboard players set mt.load mt.load 0
scoreboard players set #page mt.constant 0

execute store result score #disable_build mt.constant run scoreboard players get #disable_build mt.constant
execute store result score #disable_global mt.constant run scoreboard players get #disable_global mt.constant
execute store result score #disable_common mt.constant run scoreboard players get #disable_common mt.constant
execute store result score #disable_rare mt.constant run scoreboard players get #disable_rare mt.constant
execute store result score #disable_epic mt.constant run scoreboard players get #disable_epic mt.constant
execute store result score #disable_legendary mt.constant run scoreboard players get #disable_legendary mt.constant
execute store result score #frequency mt.constant run scoreboard players get #frequency mt.constant
execute store result score #prog mt.constant run scoreboard players get #prog mt.constant
execute store result score #disable_animation mt.constant run scoreboard players get #disable_animation mt.constant
execute store result score #disable_deto_mine mt.constant run scoreboard players get #disable_deto_mine mt.constant
execute store result score #despawn_frequency mt.constant run scoreboard players get #despawn_frequency mt.constant
execute store result score #disable_common_charm mt.constant run scoreboard players get #disable_common_charm mt.constant
execute store result score #disable_rare_charm mt.constant run scoreboard players get #disable_rare_charm mt.constant
execute store result score #disable_epic_charm mt.constant run scoreboard players get #disable_epic_charm mt.constant
execute store result score #disable_legendary_charm mt.constant run scoreboard players get #disable_legendary_charm mt.constant
execute store result score #disable_rune mt.constant run scoreboard players get #disable_rune mt.constant
execute store result score #disable_indestructible mt.constant run scoreboard players get #disable_indestructible mt.constant
execute store result score #disable_silk_touch mt.constant run scoreboard players get #disable_silk_touch mt.constant

data modify storage mt:negative number set value 25
data modify storage mt:negative addremove set value 'remove'
data modify storage mt:positive number set value 25
data modify storage mt:positive addremove set value 'add'

data modify storage mt:negative2 number set value 100
data modify storage mt:negative2 addremove set value 'remove'
data modify storage mt:positive2 number set value 100
data modify storage mt:positive2 addremove set value 'add'

data modify storage mt:negative3 number set value 500
data modify storage mt:negative3 addremove set value 'remove'
data modify storage mt:positive3 number set value 500
data modify storage mt:positive3 addremove set value 'add'

data modify storage mt:negative4 number set value 1000
data modify storage mt:negative4 addremove set value 'remove'
data modify storage mt:positive4 number set value 1000
data modify storage mt:positive4 addremove set value 'add'

execute unless data storage mt:player DB.player run data modify storage mt:player DB.Player set value []

execute if score mt.load mt.load matches 0 unless score mt.load mt.loaded matches 1.. run function mt:loaded