# GLOBAL mt.tick
scoreboard players add @s mt.tick 1
scoreboard players set @s[scores={mt.tick=20..}] mt.tick 0 

# TRIGGER COMMANDS
execute if entity @s[scores={mt_stats=1..}] run function mt:stats

# TREASURE PARTICLES
execute if entity @s[scores={mt.selector=1..}] run function mt:treasure/msg

# TREASURE SYSTEM
execute at @s[scores={mt.break_barrel=1..}] anchored eyes run function mt:treasure/barrel/start_ray

# ARMOR DETECTION
execute if entity @s[tag=mt.fully_refined] run function mt:items/armor/rn_set_effects
execute if entity @s[tag=mt.dripstone_helmet] run function mt:items/armor/dripstone_helmet
execute if entity @s[tag=mt.flower_helmet] run function mt:items/armor/flower_helmet
execute if entity @s[tag=mt.soul_helmet] run function mt:items/armor/soul_helmet
execute if entity @s[tag=mt.dark_forest_chestplate] run function mt:items/armor/dark_forest_chestplate
execute if entity @s[tag=mt.desert_chestplate] run function mt:items/armor/desert_chestplate
execute if entity @s[tag=mt.ocean_chestplate,scores={mt.tick=1}] run function mt:items/armor/ocean_chestplate
execute if entity @s[tag=mt.swamp_chestplate] run function mt:items/armor/swamp_chestplate
execute if entity @s[tag=mt.wind_chestplate] run function mt:items/armor/wind_chestplate
execute if entity @s[tag=mt.deep_dark_leggings] run function mt:items/armor/deep_darklegsability
execute if entity @s[tag=mt.taiga_pants] run function mt:items/armor/taiga_pants/tai_ability
execute if entity @s[tag=mt.mushroom_boots] run function mt:items/armor/mushroom_boots

# WEAPON DETECTION
title @s[scores={mt.assassin_blade=500}] actionbar {"text":"Early Strikes is now ready!","color":"red"}
execute if entity @s[scores={mt.rumble=1..}] run function mt:items/weapons/rumble_combo

tag @s[tag=!mt.stray,predicate=mt:weapons/stray_bow] add mt.stray
execute if entity @s[tag=mt.stray] run function mt:items/weapons/stray_bow

execute if entity @s[scores={mt.death=1..}] run function mt:mechanics/death

# Runes
execute if entity @s[scores={mt.sponge_rune=1..}] run function mt:runes/sponge/timer
execute if entity @s[scores={mt.end_rune=1..}] run function mt:runes/end/timer
execute if entity @s[scores={mt.ice_rune=1..}] run function mt:runes/ice/timer
execute if entity @s[scores={mt.assa_rune=1..}] run function mt:runes/assassin/timer
execute if entity @s[scores={mt.jungle_rune=1..}] run function mt:runes/jungle/timer
execute if entity @s[scores={mt.black_rune=1..}] run function mt:runes/black/timer

# Mining
execute if entity @s[scores={mt.break_stone=1..}] run function mt:treasure/mined/stone with storage mt:rates
execute if entity @s[scores={mt.break_deepslate=1..}] run function mt:treasure/mined/deepslate with storage mt:rates
execute if entity @s[scores={mt.break_end_stone=1..}] run function mt:treasure/mined/end_stone with storage mt:rates
execute if entity @s[scores={mt.break_netherrack=1..}] run function mt:treasure/mined/netherrack with storage mt:rates
execute if entity @s[scores={mt.break_diorite=1..}] run function mt:treasure/mined/diorite with storage mt:rates
execute if entity @s[scores={mt.break_andesite=1..}] run function mt:treasure/mined/andesite with storage mt:rates
execute if entity @s[scores={mt.break_granite=1..}] run function mt:treasure/mined/granite with storage mt:rates
execute if entity @s[scores={mt.break_blackstone=1..}] run function mt:treasure/mined/blackstone with storage mt:rates
execute if entity @s[scores={mt.break_sandstone=1..}] run function mt:treasure/mined/sandstone with storage mt:rates
execute if entity @s[scores={mt.break_tuff=1..}] run function mt:treasure/mined/tuff with storage mt:rates
execute if entity @s[scores={mt.break_terracotta=1..}] run function mt:treasure/mined/terracotta with storage mt:rates
execute if entity @s[scores={mt.break_brown_terracotta=1..}] run function mt:treasure/mined/brown_terracotta with storage mt:rates
execute if entity @s[scores={mt.break_light_gray_terracotta=1..}] run function mt:treasure/mined/light_gray_terracotta with storage mt:rates
execute if entity @s[scores={mt.break_orange_terracotta=1..}] run function mt:treasure/mined/orange_terracotta with storage mt:rates
execute if entity @s[scores={mt.break_red_terracotta=1..}] run function mt:treasure/mined/red_terracotta with storage mt:rates
execute if entity @s[scores={mt.break_white_terracotta=1..}] run function mt:treasure/mined/white_terracotta with storage mt:rates
execute if entity @s[scores={mt.break_yellow_terracotta=1..}] run function mt:treasure/mined/yellow_terracotta with storage mt:rates
execute if entity @s[scores={mt.break_iron_ore=1..}] run function mt:treasure/mined/iron_ore with storage mt:rates
execute if entity @s[scores={mt.break_diamond_ore=1..}] run function mt:treasure/mined/diamond_ore with storage mt:rates
execute if entity @s[scores={mt.break_coal_ore=1..}] run function mt:treasure/mined/coal_ore with storage mt:rates
execute if entity @s[scores={mt.break_redstone_ore=1..}] run function mt:treasure/mined/redstone_ore with storage mt:rates
execute if entity @s[scores={mt.break_emerald_ore=1..}] run function mt:treasure/mined/emerald_ore with storage mt:rates
execute if entity @s[scores={mt.break_lapis_ore=1..}] run function mt:treasure/mined/lapis_ore with storage mt:rates
execute if entity @s[scores={mt.break_gold_ore=1..}] run function mt:treasure/mined/gold_ore with storage mt:rates
execute if entity @s[scores={mt.break_copper_ore=1..}] run function mt:treasure/mined/copper_ore with storage mt:rates
execute if entity @s[scores={mt.break_amethyst=1..}] run function mt:treasure/mined/amethyst with storage mt:rates
execute if entity @s[scores={mt.break_calcite=1..}] run function mt:treasure/mined/calcite with storage mt:rates
execute if entity @s[scores={mt.break_d_coal_ore=1..}] run function mt:treasure/mined/d_coal_ore with storage mt:rates
execute if entity @s[scores={mt.break_d_iron_ore=1..}] run function mt:treasure/mined/d_iron_ore with storage mt:rates
execute if entity @s[scores={mt.break_d_gold_ore=1..}] run function mt:treasure/mined/d_gold_ore with storage mt:rates
execute if entity @s[scores={mt.break_d_copper_ore=1..}] run function mt:treasure/mined/d_copper_ore with storage mt:rates
execute if entity @s[scores={mt.break_d_redstone_ore=1..}] run function mt:treasure/mined/d_redstone_ore with storage mt:rates
execute if entity @s[scores={mt.break_d_lapis_ore=1..}] run function mt:treasure/mined/d_lapis_ore with storage mt:rates
execute if entity @s[scores={mt.break_d_emerald_ore=1..}] run function mt:treasure/mined/d_emerald_ore with storage mt:rates
execute if entity @s[scores={mt.break_d_diamond_ore=1..}] run function mt:treasure/mined/d_diamond_ore with storage mt:rates
execute if entity @s[scores={mt.break_dripstone=1..}] run function mt:treasure/mined/dripstone with storage mt:rates
execute if entity @s[scores={mt.break_magma_block=1..}] run function mt:treasure/mined/magma_block with storage mt:rates
execute if entity @s[scores={mt.break_basalt=1..}] run function mt:treasure/mined/basalt with storage mt:rates
execute if entity @s[scores={mt.break_smooth_basalt=1..}] run function mt:treasure/mined/smooth_basalt with storage mt:rates
execute if entity @s[scores={mt.break_nether_gold_ore=1..}] run function mt:treasure/mined/nether_gold_ore with storage mt:rates
execute if entity @s[scores={mt.break_nether_quartz_ore=1..}] run function mt:treasure/mined/nether_quartz_ore with storage mt:rates